<script lang="ts">
	import { formatDateLong, formatDateShort } from '$lib';
	import type { Thread } from '$lib/types';
	import Reply from './Reply.svelte';

	export let thread: Thread;
</script>

{#if thread}
	<md-list>
		<md-list-item>
			<h2 slot="headline">{thread.subject}</h2>
			{formatDateLong(thread.date)}
		</md-list-item>
		{#each thread.replies as reply, index}
			<Reply {reply} showDate={false} first={index === 0}></Reply>
		{/each}
	</md-list>
{/if}

<style>
	md-list {
		border-radius: 1em;
	}
	h2 {
		line-height: 1.25em;
		margin: 0;
	}
</style>
